Signed-off-by: Cedric Le Goater <clg@fr.ibm.com>
Signed-off-by: Daniel Lezcano <dlezcano@fr.ibm.com>
---
 src/lxc/conf.c    |    4 ++--
 src/lxc/confile.c |    2 +-
 src/lxc/parse.h   |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/lxc/conf.c b/src/lxc/conf.c
index ec951da..a3eb106 100644
--- a/src/lxc/conf.c
+++ b/src/lxc/conf.c
@@ -113,7 +113,7 @@ static struct mount_opt mount_opt[] = {
 	{ NULL,         0, 0              },
 };
 
-static int configure_find_fstype_cb(void* buffer, void *data)
+static int configure_find_fstype_cb(char* buffer, void *data)
 {
 	struct cbarg {
 		const char *rootfs;
@@ -338,7 +338,7 @@ static int setup_tty(const char *rootfs, const struct lxc_tty_info *tty_info)
 	return 0;
 }
 
-static int setup_rootfs_pivot_root_cb(void *buffer, void *data)
+static int setup_rootfs_pivot_root_cb(char *buffer, void *data)
 {
 	struct lxc_list	*mountlist, *listentry, *iterator;
 	char *pivotdir, *mountpoint, *mountentry;
diff --git a/src/lxc/confile.c b/src/lxc/confile.c
index 12183a3..61c5b3e 100644
--- a/src/lxc/confile.c
+++ b/src/lxc/confile.c
@@ -620,7 +620,7 @@ static int config_utsname(const char *key, char *value, struct lxc_conf *lxc_con
 	return 0;
 }
 
-static int parse_line(void *buffer, void *data)
+static int parse_line(char *buffer, void *data)
 {
 	struct config *config;
 	char *line = buffer;
diff --git a/src/lxc/parse.h b/src/lxc/parse.h
index a1cccea..94b886e 100644
--- a/src/lxc/parse.h
+++ b/src/lxc/parse.h
@@ -26,7 +26,7 @@
 typedef int (*lxc_dir_cb)(const char *name, const char *directory,
 			  const char *file, void *data);
 
-typedef int (*lxc_file_cb)(void *buffer, void *data);
+typedef int (*lxc_file_cb)(char *buffer, void *data);
 
 extern int lxc_dir_for_each(const char *name, const char *directory,
 			    lxc_dir_cb callback, void *data);
-- 
1.6.2.5


------------------------------------------------------------------------------
This SF.Net email is sponsored by the Verizon Developer Community
Take advantage of Verizon's best-in-class app development support
A streamlined, 14 day to market process makes app distribution fast and easy
Join now and get one step closer to millions of Verizon customers
http://p.sf.net/sfu/verizon-dev2dev 
_______________________________________________
Lxc-devel mailing list
Lxc-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/lxc-devel





